Name:		dot2tex
Version:	2.11.3
Release:	%mkrel 8
Summary:	Graphviz to LaTeX converter
License:	MIT
Group:		Publishing
Url:		http://www.fauskes.net/code/dot2tex/
Source0:	https://pypi.io/packages/source/d/dot2tex/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	emacs-auctex
Requires:	graphviz
Recommends:	texlive

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting dot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using back-end specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS CHANGES LICENSE readme.md docs/* examples/
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-*.egg-info
%{python3_sitelib}/%{name}/


%changelog
* Fri Mar 07 2025 papoteur <papoteur> 2.11.3-8.mga10
+ Revision: 2161434
- rebuild for python 3.13

* Sat Jan 06 2024 papoteur <papoteur> 2.11.3-7.mga10
+ Revision: 2028371
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.11.3-6.mga9
+ Revision: 1823343
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 2.11.3-5.mga9
+ Revision: 1782760
- Rebuild for python-3.10

* Sat Mar 27 2021 tv <tv> 2.11.3-4.mga9
+ Revision: 1710860
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.11.3-3.mga8
+ Revision: 1533378
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 2.11.3-2.mga8
+ Revision: 1444157
- rebuild for python3.8

* Tue Apr 02 2019 daviddavid <daviddavid> 2.11.3-1.mga7
+ Revision: 1385360
- new version: 2.11.3

* Sun Mar 17 2019 daviddavid <daviddavid> 2.11.2-1.mga7
+ Revision: 1378285
- new version: 2.11.2
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 2.9.0-3.mga7
+ Revision: 1278044
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 daviddavid <daviddavid> 2.9.0-2.mga7
+ Revision: 1203228
- fix requires for pythonegg(2)(pyparsing) instead

* Sat Jan 23 2016 daviddavid <daviddavid> 2.9.0-1.mga6
+ Revision: 926631
- new version: 2.9.0
- use new python macros
- update Source URL
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 2.8.7-12.mga5
+ Revision: 748302
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.8.7-11.mga5
+ Revision: 726143
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.8.7-10.mga5
+ Revision: 678816
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 2.8.7-9.mga5
+ Revision: 628162
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.8.7-8.mga4
+ Revision: 503934
- Mageia 4 Mass Rebuild
+ marja <marja>
- remove PYTHONDONTWRITEBYTECODE=
- make files list more explicit
- further cleaned spec a bit
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 2.8.7-5.mga3
+ Revision: 349066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 2.8.7-4.mga3
+ Revision: 328886
- update RPM group

* Sat Feb 11 2012 malo <malo> 2.8.7-3.mga2
+ Revision: 207357
- spec clean-up after import from Mandriva (spec from Lev Givon)
- imported package dot2tex


* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-3mdv2012.0
+ Revision: 745767
- Only suggest installing texlive.

* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-2
+ Revision: 745479
- Update install dependency from tetex-latex to texlive-texmf.

* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 2.8.7-1
+ Revision: 682247
- import dot2tex


